import { select, range, scaleLinear} from 'd3';

const svg = select('svg');
const width = svg.attr('width');
const height = svg.attr('height');

const horizCenterY = height /4 ;
const tiltCenterY = 3*height / 4;
const numPoints = 4;
const radius = height / 2.1;

const margin = width/30

const scaleX = scaleLinear()
  .domain([1/(numPoints+1),1])
  .range([0,width]);


const horizPoints = range(numPoints)
  .map(i => {
    return {
      x: 1/(i+1),
      y: horizCenterY
    };
  });

const horizLines = range(numPoints-1).map(i => ({
  x1: scaleX(horizPoints[i].x)-margin,
  y1: horizPoints[i].y,
  x2: scaleX(horizPoints[(i + 1)].x)+margin,
  y2: horizPoints[(i + 1)].y
}));

const nTiltPoints = 8

const tiltMargin = {
  bottom:10,
  top: 3,
  right: 3,
  left: 150,
}
const scaletiltX = scaleLinear()
  .domain([0,nTiltPoints-1])
  .range([tiltMargin.left,width-tiltMargin.right-tiltMargin.left]);

const scaletiltY = scaleLinear()
  .domain([nTiltPoints-1,0])
  .range([height/2,height]);

const tiltLines = range(nTiltPoints/2).map(i => ({
  x1: scaletiltX(i),
  y1: scaletiltY(0)-tiltMargin.bottom,
  x2: scaletiltX(i*2),
  y2: scaletiltY(6-(i*2))-tiltMargin.bottom
}));

const lines = tiltLines.concat(horizLines)
svg.selectAll('line').data(lines)
  .enter().append('line')
    .attr('x1', d => d.x1)
    .attr('y1', d => d.y1)
    .attr('x2', d => d.x2)
    .attr('y2', d => d.y2)
    .attr('stroke', 'black')
    .attr('stroke-width', 3);


const temp = [200,300,400,500];

                            
                              

                             

console.log("tiltLines");
console.log(tiltLines);
let a = Math.round(4.5)

console.log(range(nTiltPoints/2))
            
